FTTriangleExtractorGlyph Class Reference

FTPolygonGlyph is a specialisation of FTGlyph for creating tessellated polygon glyphs. More...

`#include <FTTriangleExtractorGlyph.h>`

Inheritance diagram for FTTriangleExtractorGlyph:

## Public Member Functions

| FTTriangleExtractorGlyph (FT_GlyphSlot glyph, float outset, std::vector< float > &triangles)
| Constructor.
virtual | ~FTTriangleExtractorGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor.
virtual float | Advance () const
| Return the advance width for this glyph.
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph.
virtual FT_Error | Error () const
| Queries for errors.

## Additional Inherited Members

Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph.

## Detailed Description

FTPolygonGlyph is a specialisation of FTGlyph for creating tessellated polygon glyphs.

Definition at line 42 of file FTTriangleExtractorGlyph.h.

## Constructor & Destructor Documentation

## FTTriangleExtractorGlyph()

FTTriangleExtractorGlyph::FTTriangleExtractorGlyph | ( | FT_GlyphSlot | glyph,
|  | float | outset,
|  | std::vector< float > & | triangles )

Constructor.

Sets the Error to Invalid_Outline if the glyphs isn't an outline.

Parameters

  glyph | The Freetype glyph to be processed
  outset | The outset distance
  useDisplayList | Enable or disable the use of Display Lists for this glyph `true` turns ON display lists. `false` turns OFF display lists.

## ~FTTriangleExtractorGlyph()

virtual FTTriangleExtractorGlyph::~FTTriangleExtractorGlyph | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## Render()

virtual const FTPoint & FTTriangleExtractorGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode )

virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTTriangleExtractorGlyph.h